policykit-1 password dialog sometimes hangs

Bug #445303 reported by Sebastien Bacher on 2009-10-07
538
This bug affects 164 people
Affects Status Importance Assigned to Milestone
PolicyKit
Invalid
Medium
PolicyKit GNOME
Unknown
Medium
aptdaemon (Ubuntu)
High
Unassigned
Nominated for Lucid by Gerry C.
Nominated for Maverick by Andrei Dziahel
Karmic
High
Unassigned
policykit (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Gerry C.
Nominated for Maverick by Andrei Dziahel
Karmic
Undecided
Unassigned
policykit-1-gnome (Ubuntu)
High
Unassigned
Nominated for Lucid by Gerry C.
Nominated for Maverick by Andrei Dziahel
Karmic
High
Unassigned
update-manager (Ubuntu)
High
Unassigned
Nominated for Lucid by Gerry C.
Nominated for Maverick by Andrei Dziahel
Karmic
High
Unassigned

Bug Description

Binary package hint: update-manager

Using current karmic versions after entering the polkit password for org.debian.apt-upgrade-packages and pressing enter the dialog for authentification didn't close, button to cancel or validate were not responsive, after a minute or so the dialog closed and update-manager displayed an error saying there was probably an issue with aptdaemon and apport triggered

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 579, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/lib/python2.6/dist-packages/aptdaemon/gtkwidgets.py", line 468, in _on_error
    raise error
DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Related branches

Sebastien Bacher (seb128) wrote :

versions

ii aptdaemon 0.10+bzr258-0ubuntu1 transaction based package management service
ii update-manager 1:0.125.6 GNOME application that manages apt updates

Sebastien Bacher (seb128) wrote :

There is nothing in the logs about aptdaemon crashing though...

Michael Vogt (mvo) on 2009-10-08
Changed in update-manager (Ubuntu):
status: New → Confirmed
Changed in aptdaemon (Ubuntu):
importance: Undecided → High
Changed in update-manager (Ubuntu):
importance: Undecided → High
Changed in aptdaemon (Ubuntu):
status: New → Confirmed
Michael Vogt (mvo) on 2009-10-08
tags: added: polkit-auth-hang
James Westby (james-w) on 2009-10-08
Changed in policykit-1-gnome (Ubuntu):
status: New → Confirmed
importance: Undecided → High
milestone: none → ubuntu-9.10
Changed in aptdaemon (Ubuntu Karmic):
status: Confirmed → Invalid
Changed in update-manager (Ubuntu Karmic):
status: Confirmed → Invalid
James Westby (james-w) wrote :

Hi,

Could someone who is seeing this issue please run

  pkill -f polkit-gnome-authentication-agent-1
  /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

and then trigger the problem and report any messages that
you see on the console.

Thanks,

James

Sandro Mani (sandromani) wrote :

Hi,
here is what I see:

sandro@PC4:~$ pkill -f polkit-gnome-authentication-agent-1
sandro@PC4:~$ /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

(polkit-gnome-authentication-agent-1:16914): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:16914): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Eddie Toronto (eddie-indirect) wrote :

Hi,
I was going to try the above suggestion, but wanted to try the update-manager one more time first.
a\ selected "install package"
b\ enter password
c\ authenticate screen hung, and I closed it (top right X) and then the downloading of files proceeded
d\ After downloading the files, I received error- "failed to download package files". I've attached the details of files that weren't downloaded in case it is relevant.?field.comment=Hi,
I was going to try the above suggestion, but wanted to try the update-manager one more time first.
a\ selected "install package"
b\ enter password
c\ authenticate screen hung, and I closed it (top right X) and then the downloading of files proceeded
d\ After downloading the files, I received error- "failed to download package files". I've attached the details of files that weren't downloaded in case it is relevant.?field.comment=Hi,
I was going to try the above suggestion, but wanted to try the update-manager one more time first.
a\ selected "install package"
b\ enter password
c\ authenticate screen hung, and I closed it (top right X) and then the downloading of files proceeded
d\ After downloading the files, I received error- "failed to download package files". I've attached the details of files that weren't downloaded in case it is relevant.?field.comment=Hi,
I was going to try the above suggestion, but wanted to try the update-manager one more time first.
a\ selected "install package"
b\ enter password
c\ authenticate screen hung, and I closed it (top right X) and then the downloading of files proceeded
d\ After downloading the files, I received error- "failed to download package files". I've attached the details of files that weren't downloaded in case it is relevant.

Eddie Toronto (eddie-indirect) wrote :

Sorry, I'm not sure why the message was quadrupled when I added the attachment.

Eddie Toronto (eddie-indirect) wrote :

My report looks the same as Sandro's

john@HTLX:~$ pkill -f polkit-gnome-authentication-agent-1
john@HTLX:~$ /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

(polkit-gnome-authentication-agent-1:10425): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:10425): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

On Thu Oct 08 16:48:32 UTC 2009 Sandro Mani wrote:
> Hi,
> here is what I see:
>
> sandro@PC4:~$ pkill -f polkit-gnome-authentication-agent-1
> sandro@PC4:~$ /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
>
> (polkit-gnome-authentication-agent-1:16914): GLib-GObject-WARNING **:
> cannot register existing type `_PolkitError'
>
> (polkit-gnome-authentication-agent-1:16914): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
>

Hi,

Thanks for doing this. Just to confirm, these were all the messages you
saw even though you triggered the problem?

It sounds like those that see the bug see it consistently? There's
nothing "unusual" you do that triggers it in your experience? Is
there anything about your setup that you think might be involved?
Do any of you have password expiry set or similar?

Thanks,

James

Hello,
those are indeed all the messages that were printed out to the console. Concerning the frequency of the bug, I notice three variants:
1. Everything works as expected (maybe 1/4 of the cases)
2. The authentication dialog gets stuck without the password field, but clicking on X makes the process continue normally (i.e. the feedback window for download and installation displays and get's accordingly updated) - about 1/2 of the cases
3. The authentication dialog gets stuck, after pressing X the feedback window shows "waiting for other tasks" and after a while a message reporting "it seems that the daemon died" appears, allthough in background the updates are actually installed, see #445893 - about 1/4 of the cases

I cannot think of anything particular in my setup, it's all stock configuration... The system was an alpha-6 clean install.

Sandro

James Westby (james-w) wrote :

Hi,

Could you please install the policykit-1 package from

  https://launchpad.net/~james-w/+archive/polkit/+packages

and repeat the process.

The libpolkit-agent-1-0 is the important one).

I've added a patch that might fix it, though it is a long shot.

If that doesn't work I'll provide another package with the
debugging turned right up to try and find the problem that
way.

Thanks,

James

Sandro Mani (sandromani) wrote :

Hello,
I've not noticed the issue since a new policykit package that came in yesterday (policykit-1-gnome 0.94-1+1git.230873), having updated some 5-6 times today. Might simply be luck (or bad luck from the debugging point of view), didn't yet install the ppa package since it was still building yesterday. Anyone else noticed some improvements?

Sandro

Rohan Agrawal (agrawalr) wrote :

I also don't seem to have this problem anymore after today's update.

Sandro Mani (sandromani) wrote :

Okay, false alarm, happened again today. Will try with the ppa package.

Sandro Mani (sandromani) wrote :

Okay, just installed libpolkit-agent-1-0_0.94-1.0+jw2_amd64 and the issue appeared the first time the authentication dialog popped up (but again, some other times it works). Terminal output is the same the one I posted above.

Sebastian Heinlein (glatzor) wrote :

You have to logout and login after installing a different version of the polkit agent, since the daemon is started at login time and runs for the whole session.

Sandro Mani (sandromani) wrote :

I have restarted a couple of times since installing it but issue persists.

Eddie Toronto (eddie-indirect) wrote :

I was able to upgrade today without any errors.

Sandro Mani (sandromani) wrote :

Is it only on my machine or has update-manager reverted to the old gksudo variant?

Rohan Agrawal (agrawalr) wrote :

Mine has reverted to the gksudo version also.

Martin Pitt (pitti) wrote :

Can folks please upgrade to policykit-1 0.94-1ubuntu1, which was uploaded today? It fixes a crash which was most likely also responsible for this effect. Please report back here. Thank you!

Alexander Sack (asac) wrote :

this should be fixed in todays polkit upload. maybe verify.

Martin Pitt (pitti) on 2009-10-16
Changed in policykit-1-gnome (Ubuntu Karmic):
status: Confirmed → Incomplete
Sandro Mani (sandromani) wrote :

Uhm my update-manager does not seem to be using policykit anymore since an update last monday (or there about), but gksudo as in jaunty.
Package versions:
policykit-1: Installed: 0.94-1ubuntu1
update-manager: Installed: 1:0.126.4

Note: with the gksudo variant I never had any problems.

Sandro Mani [2009-10-16 14:53 -0000]:
> Uhm my update-manager does not seem to be using policykit anymore since an update last monday (or there about), but gksudo as in jaunty.
> Package versions:
> policykit-1: Installed: 0.94-1ubuntu1

You still get the problem with this, after a reboot? (The need for
reboot is a bug, it'll be fixed in lucid).

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Yes (all packages are up-to-date with what is provided by the main server, have rebooted since the last update)

On Fri Oct 16 15:13:40 UTC 2009 Martin Pitt wrote:
> Sandro Mani [2009-10-16 14:53 -0000]:
> > Uhm my update-manager does not seem to be using policykit anymore since an update last monday (or there about), but gksudo as in jaunty.
> > Package versions:
> > policykit-1: Installed: 0.94-1ubuntu1
>
> You still get the problem with this, after a reboot? (The need for
> reboot is a bug, it'll be fixed in lucid).

update-manager switched back to synaptic by default, so this is expected
behaviour. mvo felt that having aptdaemon bake for another cycle before
making it default for update-manager was the prudent thing to do.

Thanks,

James

james, can you drop instructions how we can verify that this bug is fixed at least? is it "just" installing aptdaemon? or only by downgrading?

James Westby (james-w) wrote :

You can still test by using software-center instead of update-manager.

Thanks,

James

summary: - update-manager stucked on polkit password dialog
+ policykit-1 password dialog sometimes hangs

You could use the new software store alternatively. It still makes use
of aptdaemon and policykit

Sandro Mani (sandromani) wrote :

Just happened to try in the software store today and the problem persists...

Martin Pitt (pitti) wrote :

Not a release blocker, it doesn't affect update-manager any more and not easily reproducible. Can still be fixed in an SRU, of course.

Changed in policykit-1-gnome (Ubuntu Karmic):
milestone: ubuntu-9.10 → none
dino99 (9d9) wrote :

output after applying packages proposed in #10 & logout, login:

oem@oem-desktop:~$ pkill -f polkit-gnome-authentication-agent-1
oem@oem-desktop:~$ /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

(polkit-gnome-authentication-agent-1:3421): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:3421): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Slavius (slavomir-danas) wrote :

Still present in Lucid with today's updates (Dec. 18th 2009).
Testing in Time & Date by clicking on "Click to make changes"
Clicking on the Cancel without entering anything works by closing the window.
Clicking on the Authenticate button with no or wrong password yields "Authentication failure" aka correct behaviour.
I type in the password (which is right) and either hit Enter or click on the Authenticate button.
The Password input field disappears but the window does not validate nor close itself. (when i typed wrong password before the line with "Authentication failure" remains visible")
Clicking on the Cancel nor Authenticate buttons does not work at this stage. Closing the window with the X works as validation.

Changed in policykit-1-gnome (Ubuntu):
assignee: nobody → Ubuntu Development Team (ubuntu-dev)
Changed in policykit-1-gnome (Ubuntu Karmic):
assignee: nobody → Ubuntu Development Team (ubuntu-dev)
Changed in policykit (Ubuntu):
assignee: nobody → Ubuntu Development Team (ubuntu-dev)
Changed in policykit (Ubuntu Karmic):
assignee: nobody → Ubuntu Development Team (ubuntu-dev)
Jonathan Thomas (echidnaman) wrote :

ubuntu-dev is not a team to assign bugs to. Please stop.

Changed in policykit-1-gnome (Ubuntu):
assignee: Ubuntu Development Team (ubuntu-dev) → nobody
Changed in policykit-1-gnome (Ubuntu Karmic):
assignee: Ubuntu Development Team (ubuntu-dev) → nobody
Changed in policykit (Ubuntu Karmic):
assignee: Ubuntu Development Team (ubuntu-dev) → nobody
Changed in policykit (Ubuntu):
assignee: Ubuntu Development Team (ubuntu-dev) → nobody
Jonathan Thomas (echidnaman) wrote :

Not a bug with the old PolicyKit either, as fasr as I know.

Changed in policykit (Ubuntu):
status: New → Invalid
Slavius (slavomir-danas) wrote :

May I know why did you invalidated this bug?

Martin Pitt (pitti) wrote :

Slavius, it's not invalid, the policykit-1-gnome task is still open. We just had to clean up after the vandalism by Gerry C.

Changed in policykit (Ubuntu Karmic):
status: New → Invalid
MARDUK (marduk23877) on 2010-02-26
Changed in policykit-1-gnome (Ubuntu Karmic):
status: Incomplete → Fix Committed
AJenbo (ajenbo) wrote :

Wow dit you find the bug?

Vish (vish) wrote :

Reverting status , It seems to be an accidental status-change by MARDUK

Changed in policykit-1-gnome (Ubuntu Karmic):
status: Fix Committed → Incomplete
EricDHH (ericdhh) wrote :

Only got this bug on amd64, the i386 are not affected. In update-manager and synaptic i cannot refresh the package list and got no download. The window still hang, the server test in both programs works well. Update with aptitude works well. After this happening more gksudo events like network-manager config are affected, nothing happens if the pass are entered.
The ppa policykit package did not help here.

eric@themis:~$ pkill -f polkit-gnome-authentication-agent-1
eric@themis:~$ /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
(polkit-gnome-authentication-agent-1:9313): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'
(polkit-gnome-authentication-agent-1:9313): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Reported upstream, no need to mark this as Incomplete if we don't know what to ask to reporters...

Changed in policykit-1-gnome (Ubuntu):
status: Incomplete → Triaged
Changed in policykit-1-gnome (Ubuntu Karmic):
status: Incomplete → Triaged
dino99 (9d9) wrote :

Comments since latest lucid rc updates

i still have this error into .xsession:

(polkit-gnome-authentication-agent-1:2447): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:2447): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

note: the title of this bug does not mirrored the underlaying reasons of these warnings: i've never had problem to login but theses errors exist. So i wonder about the different start process timings as booting ubuntu is quite complex: xserver/gdm/plymouth, (error due to too early request), or request asked by two process: the first generate the error and the second display the login box without trouble.

Berni (jc4you) wrote :

Hi!

I use karmic on a i386 machine and get these messages right after login in .xsession. Sometime I have to double login.
And besides that I get a warning message from the screensaver:

(gnome-screensaver:1838): WARNING **: Failed to get session presence proxy: Could not get owner of name 'org.gnome.SessionManager': no such name

But this might be an other bug.
In my .xsession file appears at first the screensaver warning and then the two polkit messages.

Changed in policykit-1-gnome:
status: Unknown → New
Jeffrey Hsu (jeffhsu3) wrote :

I get the same error. Only it gets stuck at the splash screen an no-login window appears:

(polkit-gnome-authentication-agent-1:3797): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:3797): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

lannatwin (lannatwin) wrote :

I am affected by this bug.
Testing in Time & Date by clicking on "Click to make changes"
Seems related to the ATI/AMD proprietary FGLRX graphics driver. I am not affected by the bug if I turn off visual effects.

Vincent AROD (vincent-arod) wrote :

I get the same problem using Ubuntu 10.4 32bits on an old computer AMD Athlon XP and a Nvidia video card.
I'll try to turn off visual effects.

Changed in policykit-1-gnome:
importance: Unknown → Medium

Created attachment 39080
Patch to fix the race

Hi,

There's a race that means that the user can type in their
password, have the text entry disappear, and then nothing
else happen for a couple of minutes until the call times
out and they get a cryptic error. If they cancel the
dialog in that time then the program will work as they
are successfully authenticated.

The reason for this is that if the SIGCHLD handler is called
before the stdout one it unregisters the stdout handler, so
it is never triggered, and that is the only way that a response
is sent, positive or negative, except for cancelling.

I'm attaching a patch which works around this in most
cases by giving the stdout handler a chance to go first.
You may prefer to reorganise a bit to not have one
handler remove the other instead. It also ensures that
the stdout handler is registered first, in case the
child exits very quickly, but I don't know if that's
possible.

I'm also attaching a couple of other patches I produced
in the course of investigating this that might be of
interest. They fix theoretical problems, but they may
never occur in the real world.

Thanks,

James

Created attachment 39081
Patch to ensure that the helper is declared running before a handler can fire

Created attachment 39082
Patch to ensure that things written to the child are written in full

Ilmari Vacklin (wolverian) wrote :

I'm seeing this on a new installation of 10.10 64-bit (via Wubi). I haven't waited long enough to see if there's actually a dbus timeout or not, but just clicking the X on the window lets things proceed normally.

Can users being hit by that bug try the packages from james_w's PPA in bug 649939 and report if it fixes the problem ?
Thank in advance.

Fishscene (fishscene-hotmail) wrote :

I too am seeing this bug: I filed a report since I was unable to find any related threads ( https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/658163 ) Please don't post there as my report is a duplicate of this report.

Hi,

I've been asked to patch this in Ubuntu, as there are apparently
a fair number of users for whom policykit rarely works due to this
issue. I'm not sure what the variable is there given that I have
very rarely seen this myself.

Could you review the changes please?

If I don't hear either way soon then I will add distro patch
just reviewed by Ubuntu developers.

Thanks,

James

Pretty sure these patches don't apply to current master as there were some changes post 0.96 - any chance you can check if this is still an issue in master (I can't reproduce this) and, if so, update the patches? Thanks.

(In reply to comment #4)
> Pretty sure these patches don't apply to current master as there were some
> changes post 0.96 - any chance you can check if this is still an issue in
> master (I can't reproduce this) and, if so, update the patches? Thanks.

I can't easily check this either, as I can't reproduce it at will.

I've looked at the changes you make, and textually these won't apply, but
I don't see that they will have fixed the race here, unless the g_source
functions will somehow ensure that the stdout watch is serviced before the
child one?

Thanks,

James

alfabravoteam (alfabravoteam) wrote :

Reporting this bug on 10.10 amd64. When authenticating (e. g. update-manager), the password window stills and the process never starts. If I close it with the X button on top, it allows the updating to start.

Brian Marshall (bmars) wrote :

Recently, I started having this bug every time I used the polkit dialog (in maverick). After installing policykit-1 0.96-2ubuntu1.2 from james_w's PPA earlier today, it seems to be fixed.

Never seen this bug since then. I'm on Maverick right now.

On Thu, Oct 14, 2010 at 10:04 AM, Brian Marshall <email address hidden>wrote:

> Recently, I started having this bug every time I used the polkit dialog
> (in maverick). After installing policykit-1 0.96-2ubuntu1.2 from
> james_w's PPA earlier today, it seems to be fixed.
>
> --
> policykit-1 password dialog sometimes hangs
> https://bugs.launchpad.net/bugs/445303
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (435838).
>

Adam Niedling (krychek) wrote :

I'm having the same behaviour as alfabravoteam since Maverick. After pressing the authentication button nothing happens. After I close the window, the process I just authenticated starts running.

Another 'me to' post. Have this issue on AMD64 platform 10.10.
Was not present on 9.04 (to my memory). Definetively an error in 9.10 but fixed.
Never present in 10.04.

BRGDS
//Stefan

Changed in policykit-1-gnome:
status: New → Unknown
Misja (misja-alma) wrote :

I have this issue since I upgraded to 10.10. Was not present for me in 10.04.
It happens when I want to install upgrades with the upgrade manager.
After authenticating the dialog does not disappear. However when I close it by clicking on the little cross in the left top, the upgrading starts anyway.

nikitakit (nikitakit) wrote :

James_w's PPA fixes it for me. Thank you very much!

Steps which reproduce the problem in Maverick, but which cause no such problem in the PPA:
1. Run "gnome-network-properties"
2. Change the location.
3. Press close
4. Press "Apply System-Wide" on the dialog that pops up.
5. Bring focus to the authentication window by clicking on the window header (NOT the password box)
6. Type password, press enter

Piotr P. Karwasz (chopinhauer) wrote :

The fix works for me too.

System information:
Ubuntu version: Maverick Meerkat
AMD64 system

I didn't have this bug on Karmic and I rapidly skipped Lucid, so I can not tell if the bug applied there or not.

Sebastian Klus (klus-spam) wrote :

Confirmed that I had this problem after updating from 10.04 to 10.10.

And confirmed that updating the policykit with the version provided by James Westby solves this issue (at least in my case).

AJenbo (ajenbo) wrote :

I havent seen this bug seen this issue for a long time now (not since using 9.10), but i installed ubuntu 10.10 via Wubi on my brotheres laptop and here i see the issue again. Interestingly i used wubi my self back when i was running 9.10 but has since switched to a native install. So this issue might very well be related to Wubi.

Hendrik Knackstedt (hennekn) wrote :

Don't think so because I see this issue on my system and I did not use Wubi.

Paul Sladen (sladen) wrote :

Could somebody familiar with this check if bug #599441 and bug #697450 are dups (they appear to be to me).

Paul: they aren't at all. In the former, the auth dialog doesn't appear; in the latter, everything works, it's just that the button is unintuitive. Here, it's the dialog that hangs.

Changed in policykit:
status: Unknown → Confirmed
Changed in policykit:
importance: Unknown → Medium

Still can't reproduce and haven't seen any authentication agent bugs mentioning this problem so closing as WORKSFORME. Please reopen if you manage to reproduce. Thanks.

Hi,

I have no consistent way to reproduce, but the Ubuntu bug report
was very "popular" indeed, with many duplicates.

https://bugs.launchpad.net/ubuntu/+source/policykit-1/+bug/649939 for where
I worked with Jean-Baptiste to find the patch, and https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/445303 for the bug that received most of the attention.

There was a theoretical race that I found via code inspection, and a
patch to remove it was confirmed to fix the issue with someone who
could reliably reproduce. Unless you know that the g_source functions
remove the race, then I think you should apply the patch.

Thanks,

James

Changed in policykit:
status: Confirmed → Invalid
David Balažic (xerces8) wrote :

On a fresh install of ubuntu 10.10 desktop i386 (Wubi install) I got this:
 - I installed apt-p2p : sudo apt-get install apt-p2p
 - I started Update Manager, clicked Check
 - then I clicked Install Updates
T he auth dialog appeared and I entered the password.
After clicking the confirm button, the dialog reappeared, but this time with no password field.
I could open the details, but the Authenticate button did nothing.

I just stayed that way, until I started to report the bug. Then I clicked to the dialog text, trying to copy it, but on click the dialog disappeared and the Update Manager window redisplayed the content, similar as after the Check: blank list of updates for a second, then showing them.

David Balažic (xerces8) wrote :

It happened again.
auth.log has this:
Mar 26 02:39:11 ubuntu gdm-session-worker[1280]: pam_succeed_if(gdm:auth): requirement "user ingroup nopasswdlogin" not met by user "stein"
Mar 26 02:39:15 ubuntu gdm-session-worker[1280]: pam_unix(gdm:session): session opened for user stein by (uid=0)
Mar 26 02:39:15 ubuntu gdm-session-worker[1280]: pam_ck_connector(gdm:session): nox11 mode, ignoring PAM_TTY :0
Mar 26 02:39:18 ubuntu polkitd(authority=local): Registered Authentication Agent for session /org/freedesktop/ConsoleKit/Session2 (system bus name :1.27 [/usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1], object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Mar 26 02:39:20 ubuntu dbus-daemon: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.35" (uid=1000 pid=1484 comm="nautilus) interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply=0 destination=":1.6" (uid=0 pid=949 comm="/usr/sbin/console-kit-daemon))
Mar 25 21:44:06 ubuntu polkitd(authority=local): Operator of unix-session:/org/freedesktop/ConsoleKit/Session2 successfully authenticated as unix-user:stein to gain TEMPORARY authorization for action org.debian.apt.upgrade-packages for system-bus-name::1.46 [/usr/bin/python2.6 /usr/bin/update-manager] (owned by unix-user:stein)

David Balažic (xerces8) wrote :

This is the output in terminal I get when running the steps from comment 55.

Adam Niedling (krychek) wrote :

I haven't had this issue in a very long time. I guess it is fixed for me at least.

Rolf Leggewie (r0lf) on 2011-10-19
Changed in policykit-1-gnome (Ubuntu Karmic):
status: Triaged → Won't Fix
tinker123 (tinker123) wrote :

I think I have the same problem. Update manager comes up, I press the "authenticate" button either the dialog box shakes, then does nothing or nothing happens at all.

Adam Niedling (krychek) wrote :

tinker123: Which version of Ubuntu are you using?

dino99 (9d9) on 2015-02-04
Changed in policykit-1-gnome (Ubuntu):
status: Triaged → Invalid

In the absence of a recent polkit release, I'm looking into updating Debian experimental's polkit (which currently includes this patch) to current git master.

This looks suspiciously like Bug #60847. James, does the patch that was merged for that bug look OK? It stops using the child watch at all, and only reads stdout, which seems a more correct solution to this.

(In reply to Simon McVittie from comment #8)
> In the absence of a recent polkit release, I'm looking into updating Debian
> experimental's polkit (which currently includes this patch) to current git
> master.
>
> This looks suspiciously like Bug #60847. James, does the patch that was
> merged for that bug look OK? It stops using the child watch at all, and only
> reads stdout, which seems a more correct solution to this.

Hi,

That does sound rather similar, yes, though the symptoms in the arch bug sound a bit different.

If it's not using the child watch then the problem may well be gone. Unfortunately I can't remember the specifics of a race condition from over 4 years ago to say for sure whether it will be handled by the other patch.

Thanks,

James

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.